### Class

# GtkFixedLayoutChild

#### Description [src]

    final class Gtk.FixedLayoutChild : Gtk.LayoutChild
    {
      /* No available fields */
    }

`GtkLayoutChild` subclass for children in a `GtkFixedLayout`.

#### Hierarchy

#### Ancestors

- GtkLayoutChild
- GObject

#### Instance methods

###### gtk_fixed_layout_child_get_transform

Retrieves the transformation of the child.

###### gtk_fixed_layout_child_set_transform

Sets the transformation of the child of a `GtkFixedLayout`.

##### Methods inherited from GtkLayoutChild (2)

###### gtk_layout_child_get_child_widget

Retrieves the `GtkWidget` associated to the given `layout_child`.

###### gtk_layout_child_get_layout_manager

Retrieves the `GtkLayoutManager` instance that created the given `layout_child`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gtk.FixedLayoutChild:transform

The transform of the child.

##### Properties inherited from GtkLayoutChild (2)

###### Gtk.LayoutChild:child-widget

The widget that is associated to the `GtkLayoutChild` instance.

###### Gtk.LayoutChild:layout-manager

The layout manager that created the `GtkLayoutChild` instance.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkFixedLayoutChildClass {
      GtkLayoutChildClass parent_class;

    }

No description available.

###### Class members

`parent_class: GtkLayoutChildClass`
  No description available.